Skip to main content

Merchant Orders

Merchant Orders​

Retrieves the details of a specific merchant by external ID.

Endpoint:

GET /company/merchants/{external_id}/orders

Authorization: Bearer <ACCESS_TOKEN>

Response:

{
"success": true,
"data": {
"id": "<id>",
"external_id": "<provided-id>",
"orders": [
{
"integration": "shopify",
"store_id": "abc123.shopify.com",
"channel":"web",
"id": "abc123",
"confirmed": true,
"created_at": "2008-01-10T11:00:00+02:00",
"updated_at":"2008-01-10T11:00:00-05:00",
"currency":"EGP",
"subtotal_price":"195.67",
"total_discounts":"3.00",
"total_price":"192.67",
"financial_status":"paid",
"fulfillment_status":"shipped",
"payment_gateway_names":"gateway_abc",
"processed_at":"2008-01-10T11:00:00-05:00",
"customer_id": "207119551",
"cancelled_at": null,
"refund": "0",
"items_count": "2",
"is_cancelled": false,
},
...
]
}
}

Fields

integration​

The integration type of the store.

store_id​

The ID of the store.

channel​

The sales channel of the order.

id​

The ID of the order.

confirmed​

Whether the order is confirmed or not.

created_at​

The date and time the order was created.

updated_at​

The date and time the order was last updated.

currency​

The currency of the order.

subtotal_price​

The subtotal price of the order.

total_discounts​

The total discounts of the order.

total_price​

The total price of the order.

financial_status​

The financial status of the order.

fulfillment_status​

The fulfillment status of the order.

payment_gateway_names​

The payment gateway names of the order.

processed_at​

The date and time the order was processed.

customer_id​

The ID of the customer.

cancelled_at​

The date and time the order was cancelled, if any.

refund​

The refund amount of the order, if any.

items_count​

The number of items in the order.

is_cancelled​

Whether the order is cancelled or not.